Last Comment Bug 569389 - Push content from quality-new.stage.mozilla.com to live
: Push content from quality-new.stage.mozilla.com to live
Status: RESOLVED FIXED
06/03/2010 @ 7pm
:
Product: mozilla.org Graveyard
Classification: Graveyard
Component: Server Operations (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Shyam Mani [:fox2mike]
: matthew zeier [:mrz]
:
Mentors:
http://quality-new.stage.mozilla.com
Depends on: 560341 569934
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 10:44 PDT by Aakash Desai [:aakashd]
Modified: 2015-03-12 08:17 PDT (History)
6 users (show)
smani: needs‑downtime+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Aakash Desai [:aakashd] 2010-06-01 10:44:00 PDT
Date: 6/1

QMO is ready with its content to go live. Here's the thing we need to do.

Things to Do:
* Archive the current QMO
* Install WP 2.9.2
* Add all files within wp-content/ to live
* Remove other QMO staging servers
* Get our Community page (i.e. http://quality.mozilla.org/community ) linked onto planet.mozilla.org as "Planet QA"

Can we get a time when these actions items can get accomplished today?
Comment 1 Jeremy Orem [:oremj] 2010-06-01 10:57:10 PDT
So the new QMO is just a wordpress instance?

Where should the old site be archived?

Does it need to be public?

That community link is just a 404, what should be linked to planet.mozilla.org?

Anything in wp-content that needs to be put in production should be checked in to svn.
Comment 2 Jeremy Orem [:oremj] 2010-06-01 10:57:50 PDT
Dropping to normal, I'm not sure anyone has time to set this up in the next 24 hours.
Comment 3 Aakash Desai [:aakashd] 2010-06-01 11:02:39 PDT
> So the new QMO is just a wordpress instance?

Yes

> Where should the old site be archived?

quality-archive.mozilla.org should be fine.

> Does it need to be public?

Yes, we can keep it public!

> That community link is just a 404, what should be linked to planet.mozilla.org?

The community page is not up yet, the one on staging is located here: http://quality-new.stage.mozilla.com/community
Comment 4 Aakash Desai [:aakashd] 2010-06-01 11:10:10 PDT
Jeremy, it sounds like you're not sure and I'd like to make sure QA doesn't get surprised with a quick push. How can we make sure we're in a queue (and get a timetable on when it can happen) somewhere?
Comment 5 Craig Cook (:craigcook) 2010-06-01 11:37:37 PDT
(In reply to comment #1)
> Anything in wp-content that needs to be put in production should be checked in
> to svn.

The theme and plugins are in Subversion at http://svn.mozilla.org/projects/quality.mozilla.org/branches/wordpress/wp-content/

However, some of the content includes uploaded images and those files aren't in SVN. You may be able to copy the /wp-content/uploads/ directory from stage, but if it needs to go through SVN instead I can do that.

Also note that /wp-content/uploads/ should be made server-writable on production (as it is on stage) so authors can upload media.
Comment 6 Tom Ellins [:TMZ] 2010-06-01 12:15:29 PDT
For clarity I think http://quality.mozilla.org/feed/ is the url that will need to be added to planet, that should pull everything from the community page :)
Comment 7 Aakash Desai [:aakashd] 2010-06-01 12:17:11 PDT
We actually don't want to pull in our feed into planet.mozilla.org as we just want to have our planet linked to from planet.mozilla.org
Comment 8 Tom Ellins [:TMZ] 2010-06-01 14:04:18 PDT
Ah, ok. I think thats a thing for reed
Comment 9 Michael Morgan [:morgamic] 2010-06-01 14:04:58 PDT
It'd be cool to get this out but if you want to wait until after Fx launches that's okay.  I'm okay with archiving the old site but we should decommission it eventually for security reasons.  Do we have a timetable for how long the archive needs to exist?
Comment 10 Aakash Desai [:aakashd] 2010-06-01 14:09:01 PDT
We just need the archive to exist for a month. We went through the content of the site and ported everything we wanted over, so that should be enough lead time to make sure we didn't miss any content.
Comment 11 Aakash Desai [:aakashd] 2010-06-01 15:33:24 PDT
Ack, I forgot to answer your first comment!

I'd rather not wait and just get this pushed out. There's no point in waiting until after Firefox is released if there's a resource available to push it.
Comment 12 Shyam Mani [:fox2mike] 2010-06-01 18:24:29 PDT
Can you elaborate on archive? Do you want it accessible at another URL while the new site is live? or just bundled up and taken offline? 

Also, the next time you really have to push a site on a specific date, you need to give IT advance notice. Filing a bug on the same day doesn't count. I'm in a conference for 2 days and everyone else is quite busy with other stuff. I can get to this tomorrow night (2nd for you guys, 3rd morning for me).
Comment 13 Aakash Desai [:aakashd] 2010-06-01 20:06:48 PDT
Yeah, so I guess context is unknown concerning the archived site. When QMO was first upgraded back in the beginning of 2009, we archived the old site to quality-archive.mozilla.org (I believe that's the correct URL). I'd like the same to be done this time around as well for a month after we push to live.

> Also, the next time you really have to push a site on a specific date, you need
> to give IT advance notice. Filing a bug on the same day doesn't count. I'm in a
> conference for 2 days and everyone else is quite busy with other stuff. I can
> get to this tomorrow night (2nd for you guys, 3rd morning for me).

Ah, I apologize for that. I was under the impression that this was something quick and could be done quickly without much warning. Duly noted and tomorrow night works. I have class that night, so I'll need to manage my time. What time will you be able to do it?
Comment 14 matthew zeier [:mrz] 2010-06-01 22:43:21 PDT
Let's shoot for Jul 3.  Does that give everyone enough time to get ready?
Comment 15 Aakash Desai [:aakashd] 2010-06-02 09:44:45 PDT
Shyam and I talked offline, we're looking to start the release process on June
3rd, Thursday, at 7pm.
Comment 16 Craig Cook (:craigcook) 2010-06-02 10:22:37 PDT
> Things to Do:
> * Archive the current QMO
> * Install WP 2.9.2
> * Add all files within wp-content/ to live
> * Remove other QMO staging servers
> * Get our Community page (i.e. http://quality.mozilla.org/community ) linked
> onto planet.mozilla.org as "Planet QA"

Added to this list:

* Migrate the database from stage to production, being sure to clean the stored URLs (replacing "quality-new.stage.mozilla.com" wherever it appears with "quality.mozilla.org").
Comment 17 Shyam Mani [:fox2mike] 2010-06-03 19:45:01 PDT
Alright, the new QMO site is live. Ran into a minor https config issue for wp-admin, which has been fixed. Rest of the stuff seems fine.

We have issues with quality-archive.m.o but Aakash is okay with the devs working on that and getting us a fix, so the old site isn't in a working state as of now. That's being tracked in Bug #569934.

Note You need to log in before you can comment on or make changes to this bug.